/**********************************************************
 * TEST SAA1064 LED7_Expander ADR=70(38)
 **********************************************************/

#include <Wire.h> 

void setup() 
{ 
  Wire.begin();        // inicjacja I2C
  delay(100);
} 

void loop() 
{ 
  const int LED7[11] = {
    0x3F,0x06,0x5B,0x4F,0x66,
    0x6D,0x7D,0x07,0x7F,0x6F,0x00}; // kształty znaków {0,1..9, ,}
  int i, T, S, D, J;

  Wire.beginTransmission(0x38); // start transmisji,
  Wire.send(0);
  Wire.send(B00010111);         // konfiguracja SAA1064
  Wire.endTransmission();

  for (i=0;i<=9999;i++)
  {
    // konwersja BCD
    T = i/1000;
    S = (i-(T*1000))/100;
    D = (i-((T*1000)+(S*100)))/10;
    J = i-((T*1000)+(S*100)+(D*10));
    
    // zapis SAA1064
    Wire.beginTransmission(0x38);
    Wire.send(1);
    Wire.send(LED7[J]);
    Wire.send(LED7[D]); 
    Wire.send(LED7[S]);
    Wire.send(LED7[T]);
    Wire.endTransmission();
    delay(150);
  }
} 














